## class PrinterOptions

> Printer options class.

### Public Fields

  static const int | MIN_PRINT_COPIES
  static const int | MAX_PRINT_COPIES

### Public Methods

  | PrinterOptions ()
  void | SetPrinterName (const string* newName)
  const string* | GetPrinterName ()
  void | SetPrintCopies (unsigned i)
  unsigned | GetPrintCopies ()
  void | SetPrintBannerPage (int i)
  unsigned | GetPrintBannerPage ()
  void | SetPrintCommand (const string* newCommand)
  const string* | GetPrintCommand ()
  void | SetTmpFile (const string* s)
  const string* | GetTmpFile ()
  const string* | GetTextFilterCommand ()
  void | SetTextFilterCommand (const string* newCommand)

## Documentation

> Printer options class.

`PrinterOptions()`

`void SetPrinterName(const string* newName)`

`const string* GetPrinterName()`

`void SetPrintCopies(unsigned i)`

`unsigned GetPrintCopies()`

`void SetPrintBannerPage(int i)`

`unsigned GetPrintBannerPage()`

`void SetPrintCommand(const string* newCommand)`

`const string* GetPrintCommand()`

`void SetTmpFile(const string* s)`

`const string* GetTmpFile()`

`const string* GetTextFilterCommand()`

`void SetTextFilterCommand(const string* newCommand)`

`static const int MIN_PRINT_COPIES`

`static const int MAX_PRINT_COPIES`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de